#include "chdecl.h"
void CH_chcode_chphase1(current, sched, cop)
#define ARGUMENTS 7
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb5;
    case 4: goto c6;
    case 5: goto cb10;
    case 6: goto c11;
    case 7: goto c25;
    case 8: goto c55;
    case 9: goto cb75;
    case 10: goto c76;
    case 11: goto c78;
    case 12: goto c81;
    case 13: goto c83;
    case 14: goto c85;
    case 15: goto cb97;
    case 16: goto c98;
    case 17: goto c100;
    case 18: goto c102;
    case 19: goto c134;
    case 20: goto c135;
    case 21: goto c138;
    case 22: goto cb142;
    case 23: goto c143;
    case 24: goto c148;
    case 25: goto cb153;
    case 26: goto c154;
    case 27: goto cb157;
    case 28: goto c158;
    case 29: goto c163;
    case 30: goto c164;
    case 31: goto c173;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* branch_false 3.0.9.0 , 6 */
  if ( !REF(3)DOT(0)DOT(9)DOT(0).value.boolean ) goto c6;
/* chs_lit 4 , "phase1 " */
  if( !chs_lit(DEF(4),"phase1 ") ) goto ch_depletion;
  current->ip = 3;
cb5:
/* call 3.0.4 4 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(4),
          arguments[1+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c6:
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* prog_lit 5 , 3 */
  if ((ch_returncode = che_prog_lit(DEF(5),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* create 6 5 , 4 */
  if ((ch_returncode = che_create(DEF(6),DEF(5),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
  current->ip = 5;
cb10:
/* call 6 7 8 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(6),
          arguments[1] = DEF(7),
          arguments[2] = DEF(8),
          arguments[2+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c11:
/* prog_lit 9 , 6 */
  if ((ch_returncode = che_prog_lit(DEF(9),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 10 9 , 7 */
  if ((ch_returncode = che_procedure(DEF(10),DEF(9),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* move 11 10 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11) = REF(10);
  REF(10).tsdr = & dr_bottom;
/* new_table 12 , 8 */
  if ((ch_returncode = che_new_table(DEF(12),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 13 , 8 */
  if ((ch_returncode = che_new_table(DEF(13),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 14 , 9 */
  if ((ch_returncode = che_new_table(DEF(14),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 15 , 9 */
  if ((ch_returncode = che_new_table(DEF(15),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 16 , 10 */
  if ((ch_returncode = che_new_table(DEF(16),QUAL(10),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 17 , 10 */
  if ((ch_returncode = che_new_table(DEF(17),QUAL(10),sched)) != Normal) 
     goto ch_raise_exception;
/* ilit 18 , 0 */
  REF(18).value.integer = 0;
  REF(18).tsdr = & dr_integer;
/* copy 19 3.1 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).value = ch_val;
  REF(19).tsdr = & dr_table;
/* initget 20 19 , 0,0 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(20),DEF(19),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c25:
/* get_or_goto 20 19 , 148 */
  if ((ch_returncode = get_selected_object(DEF(20),DEF(19),sched)) != Normal)
     goto c148;
/* new_record 21 , 7 */
  if ((ch_val.record = new_record(7)) == nil) goto ch_depletion;
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).value = ch_val; REF(21).tsdr = & dr_record;
/* copy 21.0 20.0 */
  REF(21)DOT(0) = REF(20)DOT(0);
/* copy 21.2 20.2 */
  if((ch_returncode = (REF(20)DOT(2).tsdr->copy)(& ch_val, REF(20)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(21)DOT(2).tsdr)->finalize)(REF(21)DOT(2).value,F_DISCARD,sched);
  REF(21)DOT(2).value = ch_val;
  REF(21)DOT(2).tsdr = datarepmap[REF(20)DOT(2).tsdr->number];
/* copy 21.5 18 */
  REF(21)DOT(5) = REF(18);
/* ilit 21.6 , 0 */
  REF(21)DOT(6).value.integer = 0;
  REF(21)DOT(6).tsdr = & dr_integer;
/* find 22 3.0.11 20.0 , 0 */
  if (findfunc(DEF(22),DEF(3)DOT(0)DOT(11),(
          arguments[0] = DEF(20)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 21.3 22.1 */
  REF(21)DOT(3) = REF(22)DOT(1);
/* copy 21.4 22.2 */
  REF(21)DOT(4) = REF(22)DOT(2);
/* oege . 22.1 =(2) , 46 */
  if ( REF(22)DOT(1).value.ord_enum >= 2 ) goto c46;
/* notequal . 22.0 =(109) , 44 */
  if ( REF(22)DOT(0).value.enumeration != 109 ) goto c44;
/* copy 23 18 */
  REF(23) = REF(18);
/* insert 14 23 */
  if ((ch_returncode = insertfunc(DEF(14),DEF(23),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 46 */
   goto c46;
c44:
/* copy 24 18 */
  REF(24) = REF(18);
/* insert 15 24 */
  if ((ch_returncode = insertfunc(DEF(15),DEF(24),FALSE,0)) != Normal)
     goto ch_raise_exception;
c46:
/* new_table 21.1 , 8 */
  if ((ch_returncode = che_new_table(DEF(21)DOT(1),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* equal . 20.0 =(107) , 53 */
  if ( REF(20)DOT(0).value.enumeration == 107 ) goto c53;
/* equal . 20.0 =(113) , 81 */
  if ( REF(20)DOT(0).value.enumeration == 113 ) goto c81;
/* branch , 83 */
   goto c83;
c53:
/* copy 25 20.1 */
  if((ch_returncode = cp_table(& ch_val, REF(20)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).value = ch_val;
  REF(25).tsdr = & dr_table;
/* initget 26 25 , 0,0 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(26),DEF(25),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c55:
/* get_or_goto 26 25 , 78 */
  if ((ch_returncode = get_selected_object(DEF(26),DEF(25),sched)) != Normal)
     goto c78;
/* position 27 26 */
  ch_frame = get_selector_frame(DEF(26),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(27).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(27).tsdr = &dr_integer;
/* imod 28 27 =(2) */
  if (!chf_imod(DEF(28),REF(27).value.integer,2)) goto ch_depletion;
/* notequal . 28 =(0) , 73 */
  if ( REF(28).value.integer != 0 ) goto c73;
/* ordenum_lit 29 , 9 */
  REF(29).value.ord_enum = 9;
  REF(29).tsdr = & dr_ord_enumeration;
/* size 30 26 */
  REF(30).value.integer = REF(26).value.table->size;
  REF(30).tsdr = & dr_integer;
/* equal . 30 =(0) , 75 */
  if ( REF(30).value.integer == 0 ) goto c75;
/* ordenum_lit 21.4 , 1 */
  REF(21)DOT(4).value.ord_enum = 1;
  REF(21)DOT(4).tsdr = & dr_ord_enumeration;
/* ordenum_lit 21.3 , 0 */
  REF(21)DOT(3).value.ord_enum = 0;
  REF(21)DOT(3).tsdr = & dr_ord_enumeration;
/* branch , 75 */
   goto c75;
c73:
/* ordenum_lit 29 , 0 */
  REF(29).value.ord_enum = 0;
  REF(29).tsdr = & dr_ord_enumeration;
c75:
  current->ip = 9;
cb75:
/* call 7 26 29 13 31 , 11 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(26),
          arguments[2] = DEF(29),
          arguments[3] = DEF(13),
          arguments[4] = DEF(31),
          arguments[4+1] = nil,& arguments[0]),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
  return;
c76:
/* insert 21.1 31 */
  if ((ch_returncode = insertfunc(DEF(21)DOT(1),DEF(31),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 55 */
   goto c55;
c78:
/* endget 26 25 */
  end_selector(DEF(26),DEF(25),sched,GET);
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* branch , 102 */
   goto c102;
c81:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c83:
/* copy 32 20.1 */
  if((ch_returncode = cp_table(& ch_val, REF(20)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).value = ch_val;
  REF(32).tsdr = & dr_table;
/* initget 33 32 , 0,0 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(33),DEF(32),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c85:
/* get_or_goto 33 32 , 100 */
  if ((ch_returncode = get_selected_object(DEF(33),DEF(32),sched)) != Normal)
     goto c100;
/* position 34 33 */
  ch_frame = get_selector_frame(DEF(33),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(34).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(34).tsdr = &dr_integer;
/* size 35 22.4 */
  REF(35).value.integer = REF(22)DOT(4).value.table->size;
  REF(35).tsdr = & dr_integer;
/* ilt . 34 35 , 95 */
  if ( REF(34).value.integer < REF(35).value.integer ) goto c95;
/* size 36 22.4 */
  REF(36).value.integer = REF(22)DOT(4).value.table->size;
  REF(36).tsdr = & dr_integer;
/* isubtract 34 36 =(1) */
  if (!chf_isubtract(DEF(34),REF(36).value.integer,1)) goto ch_depletion;
c95:
/* lookup_at 37 22.4 34 */
  if((ch_i = REF(34).value.integer) < 0 || ch_i >= (ch_t = REF(22)DOT(4).value
    .table)->size) goto ch_notfound;
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(37).value,ch_i);
  REF(37).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 38 37 */
  if((ch_returncode = (REF(37).tsdr->copy)(& ch_val, REF(37).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).value = ch_val;
  REF(38).tsdr = datarepmap[REF(37).tsdr->number];
  current->ip = 15;
cb97:
/* call 7 33 38 13 39 , 11 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(33),
          arguments[2] = DEF(38),
          arguments[3] = DEF(13),
          arguments[4] = DEF(39),
          arguments[4+1] = nil,& arguments[0]),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
  return;
c98:
/* insert 21.1 39 */
  if ((ch_returncode = insertfunc(DEF(21)DOT(1),DEF(39),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 85 */
   goto c85;
c100:
/* endget 33 32 */
  end_selector(DEF(33),DEF(32),sched,GET);
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
c102:
/* noop */
  
/* notequal . 21.3 =(4) , 138 */
  if ( REF(21)DOT(3).value.ord_enum != 4 ) goto c138;
/* block , 13 */
  if((ch_returncode = che_block(QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
/* new_record 40 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).value = ch_val; REF(40).tsdr = & dr_record;
/* lookup_at 41 21.1 =(1) */
  if (1 >= (ch_t = REF(21)DOT(1).value.table)->size) goto ch_notfound;
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(41).value,1);
  REF(41).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 40.1 41 */
  REF(40)DOT(1) = REF(41);
/* equal 42 21.0 =(1) */
  REF(42).value.boolean = (REF(21)DOT(0).value.enumeration == 1);
  REF(42).tsdr = & dr_boolean;
/* equal 43 21.0 =(0) */
  REF(43).value.boolean = (REF(21)DOT(0).value.enumeration == 0);
  REF(43).tsdr = & dr_boolean;
/* or 44 42 43 */
  REF(44).value.boolean = REF(42).value.boolean|REF(43).value.boolean;
  REF(44).tsdr = & dr_boolean;
/* branch_false 44 , 122 */
  if ( !REF(44).value.boolean ) goto c122;
/* lookup_at 45 21.1 =(0) */
  if ( !((ch_t = REF(21)DOT(1).value.table)->size) ) goto ch_notfound;
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(45).value,0);
  REF(45).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 40.0 45 */
  REF(40)DOT(0) = REF(45);
/* branch , 126 */
   goto c126;
c122:
/* noop */
  
/* lookup_at 46 21.1 =(2) */
  if (2 >= (ch_t = REF(21)DOT(1).value.table)->size) goto ch_notfound;
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(46).value,2);
  REF(46).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 40.0 46 */
  REF(40)DOT(0) = REF(46);
c126:
/* copy 47 40 */
  if((ch_returncode = cp_record(& ch_val, REF(40).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).value = ch_val;
  REF(47).tsdr = & dr_record;
/* insert 16 47 */
  if ((ch_returncode = insertfunc(DEF(16),DEF(47),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* move 34 40.0 */
  REF(34) = REF(40)DOT(0);
  REF(40)DOT(0).tsdr = & dr_bottom;
/* move 40.0 40.1 */
  REF(40)DOT(0) = REF(40)DOT(1);
  REF(40)DOT(1).tsdr = & dr_bottom;
/* move 40.1 34 */
  REF(40)DOT(1) = REF(34);
  REF(34).tsdr = & dr_bottom;
/* insert 16 40 */
  if ((ch_returncode = insertfunc(DEF(16),DEF(40),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 135 */
   goto c135;
c134:
/* discard 47 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).tsdr = & dr_bottom;
c135:
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* ordenum_lit 21.3 , 3 */
  REF(21)DOT(3).value.ord_enum = 3;
  REF(21)DOT(3).tsdr = & dr_ord_enumeration;
c138:
/* size 48 21.1 */
  REF(48).value.integer = REF(21)DOT(1).value.table->size;
  REF(48).tsdr = & dr_integer;
/* equal . 48 =(0) , 143 */
  if ( REF(48).value.integer == 0 ) goto c143;
  current->ip = 22;
cb142:
/* call 11 22.3 21 13 17 , 14 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11),
          arguments[1] = DEF(22)DOT(3),
          arguments[2] = DEF(21),
          arguments[3] = DEF(13),
          arguments[4] = DEF(17),
          arguments[4+1] = nil,& arguments[0]),QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
  return;
c143:
/* insert 12 21 */
  if ((ch_returncode = insertfunc(DEF(12),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* iadd 18 18 =(1) */
  if (!chf_iadd(DEF(18),REF(18).value.integer,1)) goto ch_depletion;
/* branch , 25 */
   goto c25;
c148:
/* endget 20 19 */
  end_selector(DEF(20),DEF(19),sched,GET);
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* prog_lit 49 , 15 */
  if ((ch_returncode = che_prog_lit(DEF(49),QUAL(15),sched)) != Normal) 
     goto ch_raise_exception;
/* create 50 49 , 16 */
  if ((ch_returncode = che_create(DEF(50),DEF(49),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
/* discard 49 */
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  REF(49).tsdr = & dr_bottom;
  current->ip = 25;
cb153:
/* call 50 12 14 15 3.4 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(50),
          arguments[1] = DEF(12),
          arguments[2] = DEF(14),
          arguments[3] = DEF(15),
          arguments[4] = DEF(3)DOT(4),
          arguments[4+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c154:
/* prog_lit 51 , 18 */
  if ((ch_returncode = che_prog_lit(DEF(51),QUAL(18),sched)) != Normal) 
     goto ch_raise_exception;
/* create 52 51 , 19 */
  if ((ch_returncode = che_create(DEF(52),DEF(51),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
  current->ip = 27;
cb157:
/* call 52 13 16 , 20 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(52),
          arguments[1] = DEF(13),
          arguments[2] = DEF(16),
          arguments[2+1] = nil,& arguments[0]),QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
  return;
c158:
/* move 3.2 12 */
  (*(REF(3)DOT(2).tsdr)->finalize)(REF(3)DOT(2).value,F_DISCARD,sched);
  REF(3)DOT(2) = REF(12);
  REF(12).tsdr = & dr_bottom;
/* move 3.3 13 */
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(3) = REF(13);
  REF(13).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 164 */
   goto c164;
c163:
/* return_exception 3 , 21 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(21),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(21));
  REF(3).tsdr = & dr_bottom;
c164:
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c173:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
